##### posix::basic_descriptor::basic_descriptor (2 of 6 overloads)

Construct a descriptor without opening it.

    template<
        typename ExecutionContext>
    basic_descriptor(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor creates a descriptor without opening it.

###### Parameters

context

  An execution context which provides the I/O executor that the descriptor will use, by default, to dispatch handlers for any asynchronous operations performed on the descriptor.